# Get notifications by status and priority Get notification entities by notification status and priority Endpoint: GET /notifications Version: 4.0.0 Security: Bearer ## Query parameters: - `page` (integer) The page number for paginated results. The value is zero-based, where 0 represents the first page. Set it to 0 to get the first page of results. - `size` (integer) Number of notification objects to return per page. - `notification_status` (string) Status of ripplenet notifications. Enum: "CREATED", "DELIVERED", "READ", "DELETED" - `notification_priority` (string) Priority of ripplenet notifications. Enum: "ALL", "ERROR", "INFO", "WARN" - `sort_field` (string) describes how to sort the results. Enum: "CREATED_DTTM", "MODIFIED_DTTM" - `sort_direction` (string) Direction of sorted results. Enum: "ASC", "DESC" ## Response 200 fields (application/json): - `first` (boolean) true if this is the first page. - `last` (boolean) true if this is the last page. - `number` (integer) page number - `numberOfElements` (integer) Number Of elements in this request - `size` (integer) page size - `totalElements` (integer) Total number of elements for the given request - `totalPages` (integer) Total number of pages for the given request - `sort` (array) Sort details of this page - `sort.direction` (string) Direction of the sort Example: "ASC" - `sort.property` (string) - `sort.ignoreCase` (boolean) - `sort.nullHandling` (string) Example: "NULLS_FIRST" - `sort.ascending` (boolean) Example: true - `sort.descending` (boolean) - `content` (array) - `content.notification_id` (string, required) Notification Id - `content.notification_type` (string, required) Context in which the notification is generated Enum: "HEARTBEAT_EVENT", "NEW_PEERING_EVENT", "NEW_LIQUIDITY_RELATIONSHIP_EVENT", "LOW_BALANCE_EVENT" - `content.notification_status` (string, required) Status of the notification Enum: "CREATED", "DELIVERED", "READ", "DELETED" - `content.notification_priority` (string, required) Priority of the notification Enum: "ERROR", "INFO", "WARN" - `content.created_at` (string, required) Date and time at which the notification was created, as an ISO-8601 timestamp in UTC. - `content.entity_type` (string, required) RippleNet entity for which the notification has been generated Enum: "QUOTE", "PAYMENT", "TRANSFER", "EXCHANGE" - `content.entity_id` (string, required) Entity id of the RippleNet entity for which the notification has been generated - `content.message_details` (string, required) Summary description of the notification - `content.source_address` (string) RippleNet address of the host that has created the notification - `content.destination_address` (string) RippleNet address of the host that needs to receive the notification - `content.notification_details` (string) Payload of the notification object ## Response 400 fields (application/json): - `type` (string) URL to the error documentation. Example: "https://errors.ripplenet.ripple.com/error/json-processing-error" - `title` (string) Summary of the returned problem. Example: "Invalid Request Object" - `detail` (string) Description of the returned problem. Example: "The request parameter [account_id] is not in the correct format." - `status` (number) HTTP error code. Example: 400 - `ripplenet_error_code` (string) RippleNet specific error code. Example: "E0104" - `finality` (string) Specifies if the request can be retried for a successful response. Example: "PERMANENT" ## Response 404 fields (application/json): - `type` (string) URL to the error documentation. Example: "https://errors.ripplenet.ripple.com/error/json-processing-error" - `title` (string) Summary of the returned problem. Example: "Invalid Request Object" - `detail` (string) Description of the returned problem. Example: "The request parameter [account_id] is not in the correct format." - `status` (number) HTTP error code. Example: 400 - `ripplenet_error_code` (string) RippleNet specific error code. Example: "E0104" - `finality` (string) Specifies if the request can be retried for a successful response. Example: "PERMANENT"